<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.DmatablechangeMapper">

    <resultMap id="dmatablechangeMap" type="com.tofly.xrtygis.entity.Dmatablechange">
        <id property="id" column="ID"/>
        <result property="tableId" column="TABLE_ID"/>
        <result property="oldSchc" column="OLD_SCHC"/>
        <result property="oldPhenotype" column="OLD_PHENOTYPE"/>
        <result property="oldFactory" column="OLD_FACTORY"/>
        <result property="oldBore" column="OLD_BORE"/>
        <result property="oldStart" column="OLD_START"/>
        <result property="oldEnd" column="OLD_END"/>
        <result property="newSch" column="NEW_SCH"/>
        <result property="newFactory" column="NEW_FACTORY"/>
        <result property="newPhenotype" column="NEW_PHENOTYPE"/>
        <result property="newBore" column="NEW_BORE"/>
        <result property="newStart" column="NEW_START"/>
        <result property="newEnd" column="NEW_END"/>
        <result property="reckon" column="RECKON"/>
        <result property="startCtime" column="START_CTIME"/>
        <result property="changTime" column="CHANG_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="gsl" column="GSL"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
